listofdesignkeys-class {planor} | R Documentation

## Class listofdesignkeys

### Description

An S4 class to represent a list of design key solutions.

### Objects from the Class

Objects are created by `planor.designkey`, when the search is recursive.

### Slots

.Data

  a list of objects of class `designkey`.

factors

  an object of class `designfactors` which contains the factors specifications.

model

  a list which contains the model and estimate specifications.

nunits

  the number of units in the design.

### Extends

Class `list`, from data part. Class `vector`, by class list, distance 2.

### Methods

alias

  NOT YET IMPLEMENTED.

[

  extract one design key in the list.

pick

  extract one design key in the list. See `pick` method.

planor.design

  build a design from one design key in the list. See `planor.design` method.

show

  display the object. See `show` method.

summary

  summarize the design properties. See `summary` method.

### Author(s)

Monod, H. and Bouvier, A.

### See Also

Creator function: `planor.designkey`

### Examples

    showClass("listofdesignkeys")
    ### Creation of a listofdesignkeys object
    K0 <- planor.designkey(factors=c("R","C","U","A","B1","B2"),
     nlevels=c(3,2,2,3,2,2), model=~R*C + (A+B1+B2)^2, estimate=~A:B1+A:B2,
     nunits=12, base=~R+C+U, max.sol=2)
    ###  Method show
    show(K0)
    ### Method length
    length(K0)
    ### Extract component. The two following two commands are equivalent
    K <- K0[2]
    K <- pick(K0,2)

[Package planor version 1.5-1 Index]